package nc.bs.arap.pay.bzfk.tools;



import org.apache.commons.lang3.StringUtils;

import nc.bs.arap.pay.bzfk.IImagePubService;
import nc.bs.dao.BaseDAO;
import nc.bs.dao.DAOException;
import nc.bs.framework.common.NCLocator;
import nc.impl.am.db.processor.CountProcessor;

import nc.vo.pubapp.pattern.exception.ExceptionUtils;

/**
 * Ӱɼӿ
 * @author tsy
 * @date 2021-05-27
 *
 */
public class ImageCommonUtil {
	
	private static IImagePubService iImagePubService = null;
	
	public static String getStringDate(String prepareddate) {
		if(!StringUtils.isBlank(prepareddate)) {
			prepareddate = prepareddate.substring(0, 4) + prepareddate.substring(5, 7) + prepareddate.substring(8, 10);
		}
		return prepareddate;
	}

	/**
	 * ǷϴӰ
	 * @param billid
	 * @return
	 */
	public static boolean isSendImage(String billid){
		String sql = new StringBuilder("SELECT COUNT(*)")
				.append("  FROM IMG_TM_LOG")
				.append(" WHERE BILLID = '"+ billid +"'")
				.append(" AND TM_STATUS = 'S'")
				.append(" AND APICODE = 'IMAGE-NCC-ERM'  ").toString();
		try {
			Integer count = (Integer) getDao().executeQuery(sql, new CountProcessor());
			if(count != null && count > 0){
				return true;
			}
		} catch (DAOException e) {
			ExceptionUtils.wrappBusinessException("ѯǷϴӰϵͳʧ,ϵѹ!");
		}
		return false;
	}
	
	private static IImagePubService getiImagePubService() {
		if(null == iImagePubService) {
			iImagePubService = NCLocator.getInstance().lookup(IImagePubService.class);
		}
		return iImagePubService;
	}
	
	private static BaseDAO getDao() {
		return new BaseDAO();
	}
}
